vim.cmd([[
	syntax on

	highlight PcdKey	ctermfg=cyan guifg=#00ffff
	highlight PcdValue	ctermfg=red  guifg=#ff0000

	highlight HellKey	ctermfg=cyan guifg=#00ffff
	highlight HellValue	ctermfg=red  guifg=#00ffff

	set number
	colorscheme gruvbox
	set background=dark
	
	let g:airline_theme='base16'

	function! s:Underline(chars)
		let chars = empty(a:chars) ? '-' : a:chars
		let nr_columns = virtcol('$') - 1
		let uline = repeat(chars, (nr_columns / len(chars)) + 1)
		put =strpart(uline, 0, nr_columns)
	endfunction
	command! -nargs=? Underline call s:Underline(<q-args>)
]])
require('plugins')

require'nvim-treesitter.configs'.setup {
	ensure_installed = { "c", "lua", "vim", "bash", "cpp" },
	highlight = {
		enable = true,
	},
}
